For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GET Get Inventory
      • GET Get All Inventories
      • GET Get All Inventory Levels
      • GET Get Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Lot
      • GET Get Inventory Levels
      • GET Get Inventory Levels Grouped By Lot
      • GET Get Lot Exclusions
      • POST Create Lot Exclusion
      • POST Delete Lot Exclusion
      • POST Restore Lot Exclusion
LogoLogo
API ReferenceInventory

Get All Inventory Levels Grouped By Fulfillment Center

||View as Markdown|
GET
https://sandbox-api.shipbob.com/Experimental/inventory-level/locations
GET
/Experimental/inventory-level/locations
$curl -G https://sandbox-api.shipbob.com/Experimental/inventory-level/locations \
> -H "Authorization: Bearer <token>" \
> -d LocationType=string \
> -d SearchBy=string \
> -d InventoryIds=0 \
> -d IsActive=true \
> -d IsDigital=true \
> -d SortBy=string
1{
2 "first": "string",
3 "items": [
4 {
5 "inventory_id": 0,
6 "locations": [
7 {
8 "awaiting_quantity": 0,
9 "committed_quantity": 0,
10 "damaged_quantity": 0,
11 "exception_quantity": 0,
12 "fulfillable_quantity": 0,
13 "in_fulfillment_quantity": 0,
14 "internal_transfer_quantity": 0,
15 "location_id": 0,
16 "name": "string",
17 "on_hand_quantity": 0,
18 "quarantine_quantity": 0,
19 "userId": 0
20 }
21 ],
22 "name": "string",
23 "sku": "string",
24 "userId": 0
25 }
26 ],
27 "last": "string",
28 "next": "string",
29 "prev": "string"
30}
Retrieves inventory levels for all inventory items grouped by fulfillment center location. Supports filtering by location type, location ID, and various product attributes.
Was this page helpful?
Previous

Get Inventory Levels Grouped By Fulfillment Center

Next

Get All Inventory Levels Grouped By Lot

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

LocationTypestringOptional
LocationIdintegerOptional
SearchBystringOptional
InventoryIdslist of integersOptional
IsActivebooleanOptional
IsDigitalbooleanOptional
PageSizeintegerOptional
SortBystringOptional

Response

OK
firststring
itemslist of objects
laststring
nextstring
prevstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error